Package org.apache.sling.thumbnails

## Interface Transformer

    @ProviderType
    public interface Transformer

Transforms a resource using the registered TransformationHandlers to invoke transformations on the file.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `transform​(org.apache.sling.api.resource.Resource resource, Transformation transformation, OutputFileFormat format, OutputStream out)` Transforms the resource

### Method Detail

#### transform

    void transform​(org.apache.sling.api.resource.Resource resource,
                   Transformation transformation,
                   OutputFileFormat format,
                   OutputStream out)
            throws IOException

Transforms the resource

Parameters:
  `resource` - the resource to transform
  `transformation` - the transformation to execute
  `format` - the format of the stream to return
  `out` - the OutputStream to which to write the transformed file
Throws:
  `IOException` - an exception occurs transforming the resource